USE [BillingData]
GO

/****** 

Desciption:		This script accompanies the exercise associated with 
				the Foreach File Enumerator presentation.
				www.recursivecreativity.com/pages/page-aboutme.html#SQLServerHOU

******/
SELECT	InvoiceMonth,
		[Service Dates],
		[Invoice Dates],
		[Service Dates] - [Invoice Dates]						AS Difference
FROM	(
SELECT	RIGHT('00' + CAST(Month(ServiceDate) AS VARCHAR(2)), 2)	AS InvoiceMonth,
		COUNT(ServiceDate)										AS [Service Dates],
		COUNT(InvoiceDate)										AS [Invoice Dates]
FROM	dbo.Service
GROUP BY
		MONTH(ServiceDate)
UNION ALL
SELECT	'Total'													AS Total,
		COUNT(ServiceDate)										AS [Service Dates],
		COUNT(InvoiceDate)										AS [Invoice Dates]
FROM	dbo.Service
		) MIChAELDNEWBY
ORDER BY
		InvoiceMonth 
		