USE [BillingData]
GO

/******
Object:			Table [dbo].[Service]
Script Date:	04/11/2009 22:17:31 
Description:	This TABLE contains Service Invoice record
				data that is used to bill customers.
******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[Service](
	[Employee] [varchar](25) NULL,
	[Region] [varchar](15) NULL,
	[Customer] [varchar](25) NULL,
	[InvoiceStatus] [varchar](25) NULL,
	[ServiceDate] [datetime] NULL,
	[HourlyRate] [money] NULL,
	[HoursActual] [decimal](18, 2) NULL,
	[AmountBillable] [money] NULL,
	[HoursBillable] [decimal](18, 2) NULL,
	[HoursNonBillable] [decimal](18, 2) NULL,
	[InvoiceNumber] [bigint] NULL,
	[InvoiceDate] [datetime] NULL
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO


