USE [BillingData]
GO

/****** Object:  View [dbo].[vw_Billing]    Script Date: 04/15/2009 22:20:28 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO



CREATE VIEW [dbo].[vw_Billing]
AS

SELECT	*
FROM	(
SELECT	Customer, 
		CAST(YEAR(BillDate) AS VARCHAR(4)) + 
			RIGHT('0' + CAST(MONTH(BillDate) AS VARCHAR(2)), 2) AS BillDate, 
		SUM(BillAmount)											AS BillAmount
FROM	dbo.Billing
GROUP BY 
		Customer, 
		BillDate

UNION ALL

SELECT	'_All Customers', 
		CAST(YEAR(BillDate) AS VARCHAR(4)) + 
			RIGHT('0' + CAST(MONTH(BillDate) AS VARCHAR(2)), 2) AS BillDate, 
		SUM(BillAmount)											AS BillAmount
FROM	dbo.Billing
GROUP BY 
		Customer, 
		BillDate
		) MICHAELDNEWBY
WHERE	BillDate <= (SELECT * FROM dbo.Report_Date)



GO