USE [BillingData]
GO

/****** Object:  View [dbo].[vw_Service]    Script Date: 11/05/2011 12:20:55 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[vw_Service]
AS

SELECT	LEFT(Employee, 8) + 
			RIGHT('00' + RIGHT(Employee, LEN(Employee)-8), 2)			AS Employee, 
		Region, 
		Customer, 
		InvoiceStatus, 
		ServiceDate, 
        CAST(YEAR(ServiceDate) AS VARCHAR(4)) + 
				RIGHT('0' + CAST(MONTH(ServiceDate) AS VARCHAR(4)),2)	AS ServiceYrMo, 
        CAST(Month(ServiceDate) AS VARCHAR(4))							AS ServiceMo, 
        CAST(YEAR(ServiceDate) AS VARCHAR(4))							AS ServiceYr, 
		HourlyRate, 
		HoursActual, 
		AmountBillable, 
		HoursBillable, 
		HoursNonBillable, 
		InvoiceNumber, 
		InvoiceDate, 
        CAST(YEAR(InvoiceDate) AS VARCHAR(4)) + 
				RIGHT('0' + CAST(MONTH(InvoiceDate) AS VARCHAR(4)),2)	AS InvoiceYrMo, 
        CAST(Month(InvoiceDate) AS VARCHAR(4))							AS InvoiceMo, 
        CAST(YEAR(InvoiceDate) AS VARCHAR(4))							AS InvoiceYr, 
		DATEDIFF(dd, ServiceDate, InvoiceDate) 							AS InvoiceLag
FROM	dbo.Service

GO