SELECT	Customer,
		AVG(InvoiceLag)													AS AvgInvLag
FROM	(
SELECT	Employee, 
		Region, 
		Customer, 
		InvoiceStatus, 
		ServiceDate, 
        CAST(YEAR(ServiceDate) AS VARCHAR(4)) + 
				RIGHT('0' + CAST(MONTH(ServiceDate) AS VARCHAR(4)),2)	AS ServiceYrMo, 
        CAST(Month(ServiceDate) AS VARCHAR(4))							AS ServiceMo, 
        CAST(YEAR(ServiceDate) AS VARCHAR(4))							AS ServiceYr, 
		HourlyRate, 
		HoursActual, 
		AmountBillable, 
		HoursBillable, 
		HoursNonBillable, 
		InvoiceNumber, 
		InvoiceDate, 
        CAST(YEAR(InvoiceDate) AS VARCHAR(4)) + 
				RIGHT('0' + CAST(MONTH(InvoiceDate) AS VARCHAR(4)),2)	AS InvoiceYrMo, 
        CAST(Month(InvoiceDate) AS VARCHAR(4))							AS InvoiceMo, 
        CAST(YEAR(InvoiceDate) AS VARCHAR(4))							AS InvoiceYr, 
		DATEDIFF(dd, ServiceDate, InvoiceDate) 							AS InvoiceLag
FROM	dbo.Service
		) MICHAELDNEWBY
GROUP BY
		Customer
ORDER BY
--		Customer
		AvgInvLag Desc