SELECT	LEFT(Employee, 8) + 
			RIGHT('00' + RIGHT(Employee, LEN(Employee)-8), 2)			AS Employee, 
		Region, 
		Customer, 
		InvoiceStatus, 
		ServiceDate, 
        CAST(YEAR(ServiceDate) AS VARCHAR(4)) + 
				RIGHT('0' + CAST(MONTH(ServiceDate) AS VARCHAR(2)),2)	AS ServiceYrMo, 
        CAST(Month(ServiceDate) AS VARCHAR(2))							AS ServiceMo, 
        CAST(YEAR(ServiceDate) AS VARCHAR(4))							AS ServiceYr, 
		HourlyRate, 
		HoursActual, 
		AmountBillable, 
		HoursBillable, 
		HoursNonBillable, 
		InvoiceNumber, 
		InvoiceDate, 
        CAST(YEAR(InvoiceDate) AS VARCHAR(4)) + 
				RIGHT('0' + CAST(MONTH(InvoiceDate) AS VARCHAR(2)),2)	AS InvoiceYrMo, 
        CAST(Month(InvoiceDate) AS VARCHAR(2))							AS InvoiceMo, 
        CAST(YEAR(InvoiceDate) AS VARCHAR(4))							AS InvoiceYr, 
		DATEDIFF(dd, ServiceDate, InvoiceDate) 							AS InvoiceLag
FROM	dbo.Service
ORDER BY
		Employee,
		Customer