USE [BillingData]
GO

/****** 
	Object:  StoredProcedure [dbo].[usp_GetBillingData_PIVOT]
	Script Date: 04/15/2009 22:11:14 
	Description:	The methodology below uses PIVOT to 
					report Monthly Invoice Service Counts
******/

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO


CREATE PROCEDURE [dbo].[usp_CleanUpServiceData]
AS

BEGIN
SET NOCOUNT ON;

UPDATE Service
SET InvoiceDate = NULL
WHERE YEAR(InvoiceDate) <> '2008';

UPDATE Service
SET InvoiceNumber = NULL
WHERE InvoiceDate IS NULL;

END

GO