USE [BillingData]
GO

/****** 
Object:			View [dbo].[vw_ServiceRecordsInvoiceLag]
Script Date:	11/06/2011 02:04:35 
Description:	This VIEW provides a summary by Employee,
				by Customer of the Average Invoice Lag.
******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[vw_ServiceRecordsInvoiceLag]
AS

SELECT	Employee,
		Customer,
		Avg(InvoiceLag)	AS AvgInvoiceLag
FROM	dbo.vw_Service_Report
WHERE	InvoiceDate IS NOT NULL
GROUP BY
		Employee,
		Customer

GO