USE [BillingData]
GO

/******
Object:			StoredProcedure [dbo].[usp_GetServiceActualHours]
Script Date:	11/06/2011 00:47:46 
Description:	This User Stored Procedure returns
				the amount of Actual Hours of Service.
				
				Reminder:
				Actual Hours are rounded up to nearest quarter
				hour when billed.
******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[usp_GetServiceActualHours]
AS

BEGIN
SET NOCOUNT ON;

SELECT	SUM(HoursActual)	AS ActualHours
FROM	dbo.Service_Report

END

GO